using SportsDivision.Domain.Entities;

namespace SportsDivision.Domain.Interfaces;

public interface IZoneRepository : IRepository<Zone>
{
    Task<Zone?> GetByCodeAsync(string code);
    Task<IEnumerable<Zone>> GetAllWithSchoolsAsync();
}
